Page MenuHomePhabricator

vm request for xhgui
Closed, ResolvedPublic

Description

Labs Project Tested: N/A
Site/Location: EQIAD & CODFW
Number of systems: 1 VM per site
Service: xhgui
Networking Requirements: internal:

Processor Requirements: 2 VCPUs
Memory: 4GB
Disks: 100GB
Other Requirements:

We should give them new names, xhgui1001 / xhgui2001.

Event Timeline

Dzahn created this task.Nov 12 2019, 4:04 PM
Dzahn added a project: Performance-Team.

I agreed on 100G instead of 150G (per T199853) because it will now only need to cover XHGui (not Arc Lamp as well). The 5 year trajectory I wrote at T199853 seems on-track still but according to Daniel we don't need to project that far ahead, the disk is virtual and can thus be increased as-needed.

Gilles moved this task from Inbox to Radar on the Performance-Team board.Nov 12 2019, 8:54 PM
Gilles edited projects, added Performance-Team (Radar); removed Performance-Team.

Change 551691 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add xhgui1001 and xhgui2001

https://gerrit.wikimedia.org/r/551691

Added "xhgui" as a new type of server on the naming conventions page.

Change 551692 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: add xhgui to flat partman for VMs

https://gerrit.wikimedia.org/r/551692

Change 551692 merged by Dzahn:
[operations/puppet@production] install_server: add xhgui to flat partman for VMs

https://gerrit.wikimedia.org/r/551692

Change 551695 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site/xhgui: add xhgui eqiad and codfw nodes as spares

https://gerrit.wikimedia.org/r/551695

Change 551691 merged by Dzahn:
[operations/dns@master] add xhgui1001 and xhgui2001

https://gerrit.wikimedia.org/r/551691

Change 551695 merged by Dzahn:
[operations/puppet@production] site/xhgui: add xhgui eqiad and codfw nodes as spares

https://gerrit.wikimedia.org/r/551695

Change 551932 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add xhgui1001/2001 to DHCP

https://gerrit.wikimedia.org/r/551932

Change 551932 merged by Dzahn:
[operations/puppet@production] add xhgui1001/2001 to DHCP

https://gerrit.wikimedia.org/r/551932

Mentioned in SAL (#wikimedia-operations) [2019-11-20T18:31:28Z] <mutante> ganeti - introducing and installing buster on new VMs xhgui1001/xhgui2001 - for replacing tungsten (jessie) T238098

Dzahn closed this task as Resolved.Nov 20 2019, 6:44 PM

VMs have been created and OS is installed. Added to site.pp with the spare::system role.

Mentioned in SAL (#wikimedia-releng) [2019-11-20T21:28:12Z] <Krinkle> Create deployment-xhgui01 in Beta Cluster as m1.small/Debian 10 Buster. – T238098, T180761

Change 552324 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: downgrade xhgui servers from buster to stretch

https://gerrit.wikimedia.org/r/552324

Change 552324 merged by Dzahn:
[operations/puppet@production] install_server: downgrade xhgui servers from buster to stretch

https://gerrit.wikimedia.org/r/552324

Change 552325 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] xhgui: add support for stretch/PHP7.2

https://gerrit.wikimedia.org/r/552325

Change 552325 merged by Dzahn:
[operations/puppet@production] xhgui: add support for stretch/PHP7.0

https://gerrit.wikimedia.org/r/552325

Mentioned in SAL (#wikimedia-operations) [2019-11-21T20:49:46Z] <mutante> ganeti1003 - switching boot order of xhgui1001 to network and reinstalling with stretch (T238098)

Change 552368 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add IPv6 records for xhgui1001/xhgui2001

https://gerrit.wikimedia.org/r/552368

Change 552368 merged by Dzahn:
[operations/dns@master] add IPv6 records for xhgui1001/xhgui2001

https://gerrit.wikimedia.org/r/552368

Mentioned in SAL (#wikimedia-releng) [2019-11-24T03:25:45Z] <Krinkle> Create deployment-xhgui01 as Beta version of xhgui1001/xhgui2001 (Debian 9 Stretch, m1.small). – T238788, T238098, T180761

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: xhgui1001.eqiad.wmnet

  • xhgui1001.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found Ganeti VM
    • VM shutdown
    • Started forced sync of VMs in Ganeti cluster ganeti01.svc.eqiad.wmnet to Netbox
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
    • VM removed

Mentioned in SAL (#wikimedia-operations) [2020-06-23T15:27:57Z] <mutante> removing ganeti VM xhgui1001 from eqiad row_A, will recreate in another row for rebalancing VMs between rows (T180761 T238098)

Change 607304 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] move xhgui1001 from row A to row D to rebalance VMs

https://gerrit.wikimedia.org/r/607304

Change 607304 merged by Dzahn:
[operations/dns@master] move xhgui1001 from row A to row D to rebalance VMs

https://gerrit.wikimedia.org/r/607304

Change 607371 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: update MAC address for xhgui1001

https://gerrit.wikimedia.org/r/607371

Change 607371 merged by Wolfgang Kandek:
[operations/puppet@production] DHCP: update MAC address for xhgui1001

https://gerrit.wikimedia.org/r/607371